class DstOffset:
    def __init__(self, dst_gmt_offset,gmt_offset):
        dst_gmt_sign_mult= self.get_mult_by_sign(dst_gmt_offset.sign);
        gmt_sign_mult= self.get_mult_by_sign(gmt_offset.sign);
        dst_offset_in_minutes =   ( (60 *int(dst_gmt_offset.hour)) +int(dst_gmt_offset.minutes)    )* dst_gmt_sign_mult - ( ((60 *int(gmt_offset.hour) )+ (int(gmt_offset.minutes))) * gmt_sign_mult)
        dst_hour_offset_int = int(dst_offset_in_minutes / 60)
        dst_minute_offset_int=dst_offset_in_minutes % 60
        self.sign ='+' if dst_hour_offset_int >= 0 else '-'
        #getting ansolute vale of hour offset and formating it with 2 digits
        self.hour = "{0:0=2d}".format(abs(dst_hour_offset_int))
        self.minutes = "{0:0=2d}".format(abs(dst_minute_offset_int))

    def get_mult_by_sign(self,sign):
        if sign == '-':
            return -1
        else:
            return 1

